﻿<CascadingValue Value="@this" Name="Fab">
    <Container Class="@("fab" + (_showFab ? " show" : ""))">
        <Button Class="fab-main" Clicked="ToogleFab" />
        <ListGroup>
            @ChildContent
        </ListGroup>
    </Container>
</CascadingValue>

@code {

    [Parameter]
    public RenderFragment ChildContent { get; set; }

    private bool _showFab = false;

    protected bool ShowFab {
        get => _showFab;
        set {
            _showFab = value;
            StateHasChanged( );
        }
    }

    public void ToogleFab( ) {
        ShowFab = !ShowFab;
    }
}